!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
subroutine mrtcal_calib_command(line,error)
  use mrtcal_messaging
  use mrtcal_interfaces, except_this => mrtcal_calib_command
  use mrtcal_parameters
  use mrtcal_buffers
  use mrtcal_index_vars
  !---------------------------------------------------------------------
  ! @ private
  ! CALIBRATE ient
  ! 1. /WITH ical
  !---------------------------------------------------------------------
  character(len=*), intent(in)    :: line
  logical,          intent(inout) :: error
  !
  integer(kind=entry_length) :: ientuser,icaluser
  character(len=*), parameter :: rname='CALIB>COMMAND'
  !
  call mrtcal_message(seve%t,rname,'Welcome')
  !
  call mrtcal_calib_or_solve_parse(line,ientuser,icaluser,error)
  if (error) return
  call mrtcal_calib_or_solve_ix_entry(code_command_calib,&
       rsetup,ix,ientuser,icaluser,rfile,rcalib,rscience,error)
  if (error) return
end subroutine mrtcal_calib_command
!
subroutine mrtcal_solve_command(line,error)
  use mrtcal_messaging
  use mrtcal_interfaces, except_this => mrtcal_solve_command
  use mrtcal_parameters
  use mrtcal_buffers
  use mrtcal_index_vars
  !---------------------------------------------------------------------
  ! @ private
  ! SOLVE ient
  ! 1. /WITH ical
  !---------------------------------------------------------------------
  character(len=*), intent(in)    :: line
  logical,          intent(inout) :: error
  !
  integer(kind=entry_length) :: ientuser,icaluser
  character(len=*), parameter :: rname='CALIB>COMMAND'
  !
  call mrtcal_message(seve%t,rname,'Welcome')
  !
  call mrtcal_calib_or_solve_parse(line,ientuser,icaluser,error)
  if (error) return
  call mrtcal_calib_or_solve_ix_entry(code_command_solve,&
       rsetup,ix,ientuser,icaluser,rfile,rcalib,rscience,error)
  if (error) return
end subroutine mrtcal_solve_command
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
